# Uses of Class
org.apache.solr.client.solrj.request.schema.AnalyzerDefinition

Packages that use AnalyzerDefinition
Package
Description
org.apache.solr.client.solrj.request.schema
Convenience classes for making Schema API requests.

## Uses of AnalyzerDefinition in org.apache.solr.client.solrj.request.schema

Methods in org.apache.solr.client.solrj.request.schema that return AnalyzerDefinition
Modifier and Type
Method
Description
`AnalyzerDefinition`
FieldTypeDefinition.`getAnalyzer()`
`AnalyzerDefinition`
FieldTypeDefinition.`getIndexAnalyzer()`
`AnalyzerDefinition`
FieldTypeDefinition.`getMultiTermAnalyzer()`
`AnalyzerDefinition`
FieldTypeDefinition.`getQueryAnalyzer()`
Methods in org.apache.solr.client.solrj.request.schema with parameters of type AnalyzerDefinition
Modifier and Type
Method
Description
`void`
FieldTypeDefinition.`setAnalyzer(AnalyzerDefinition analyzer)`
`void`
FieldTypeDefinition.`setIndexAnalyzer(AnalyzerDefinition indexAnalyzer)`
`void`
FieldTypeDefinition.`setMultiTermAnalyzer(AnalyzerDefinition multiTermAnalyzer)`
`void`
FieldTypeDefinition.`setQueryAnalyzer(AnalyzerDefinition queryAnalyzer)`